SDL_GetAudioStreamDevice(3)

NAME
SDL_GetAudioStreamDevice - Query an audio stream for its currently-bound device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AudioDeviceID SDL_GetAudioStreamDevice(SDL_AudioStream *stream);

DESCRIPTION
This reports the audio device that an audio stream is currently bound to. If not bound, or invalid, this returns zero, which is not a valid device ID.

FUNCTION PARAMETERS

stream
    the audio stream to query.

RETURN VALUE
Returns The bound audio device, or 0 if not bound or invalid.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BindAudioStream(3), SDL_BindAudioStreams(3)